import { ListPlayerBase } from './ListPlayerBase';
import premierlibrary from 'libpremierlibrary.so';
export class OhosUrlListPlayer extends ListPlayerBase {
    constructor(l31, m31, n31, o31) {
        super(l31, m31, n31, o31);
    }
    addUrl(j31, k31) {
        premierlibrary.nListAddUrl(this, j31, k31);
    }
    getPreRenderPlayerIndex() {
        return premierlibrary.nListGetPreRenderPlayerIndex(this);
    }
    getCurrentPlayerIndex() {
        return premierlibrary.nListGetCurrentPlayerIndex(this);
    }
    moveToNext(h31) {
        let i31 = premierlibrary.nListMoveToNext(this, h31);
        if (i31 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
    moveToPrev() {
        let g31 = premierlibrary.nListMoveToPrev(this);
        if (g31 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
    moveTo(e31) {
        let f31 = premierlibrary.nListMoveTo(this, e31);
        if (f31 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
}
